/*
 * Copyright 2013 ETH Zuerich, CISD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.systemsx.cisd.openbis.dss.archiveverifier.batch;

/**
 * Describes a single error in verifying an archive file.
 * 
 * @author anttil
 */
public class VerificationError
{
    private VerificationErrorType type;

    private String message;

    public VerificationError(VerificationErrorType type, String message)
    {
        this.type = type;
        this.message = message;
    }

    public VerificationErrorType getType()
    {
        return type;
    }

    public String getMessage()
    {
        return this.message;
    }

    @Override
    public String toString()
    {
        return getMessage();
    }

}
