/*
 * Copyright 2008 ETH Zuerich, CISD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.systemsx.cisd.openbis.dss.generic.server;


/**
 * Factory for rendering file system view in HTML without data set information.
 * 
 * @author Izabela Adamczyk
 */
public class SimpleHTMLRendererFactory implements IRendererFactory
{
    @Override
    public String getContentType()
    {
        return "text/html";
    }

    @Override
    public IDirectoryRenderer createDirectoryRenderer(RenderingContext context)
    {
        return new SimpleHTMLDirectoryRenderer(context);
    }

    @Override
    public IErrorRenderer createErrorRenderer()
    {
        return new HTMLErrorRenderer();
    }

}
