/*
 * Copyright 2010 ETH Zuerich, CISD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.systemsx.cisd.openbis.dss.generic.server.graph;

import ch.systemsx.cisd.openbis.generic.shared.basic.dto.CodeAndLabel;


/**
 * @author Chandrasekhar Ramakrishnan
 */
public class TabularDataScatterplotConfiguration extends TabularDataGraphConfiguration
{

    /**
     * Construct a configuration for a scatterplot.
     * 
     * @param title
     * @param xAxisColumn
     * @param yAxisColumn
     * @param imageWidth
     * @param imageHeight
     */
    public TabularDataScatterplotConfiguration(String title, CodeAndLabel xAxisColumn,
            CodeAndLabel yAxisColumn, int imageWidth, int imageHeight)
    {
        super(GraphType.SCATTERPLOT, title, xAxisColumn, yAxisColumn, imageWidth, imageHeight);
    }

}
