/*
 * Copyright 2014 ETH Zuerich, CISD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.systemsx.cisd.openbis.datastoreserver.systemtests;

/**
 * @author pkupczyk
 */
public class DropBoxFailsCondition implements ILogMonitoringStopCondition
{

    private String dropBoxName;

    private String errorMessage;

    public DropBoxFailsCondition(String dropBoxName, String errorMessage)
    {
        this.dropBoxName = dropBoxName;
        this.errorMessage = errorMessage;
    }

    @Override
    public boolean stopConditionFulfilled(ParsedLogEntry logEntry)
    {
        return new LogMonitoringStopConditionBuilder(new DropBoxNameCondition(dropBoxName))
                .and(new ContainsCondition("Could not process file original file"))
                .and(new ContainsCondition(errorMessage)).getCondition().stopConditionFulfilled(logEntry);
    }

}
